Criar uma retenção legal
curl --request POST \
--url https://{space}.{region}.api.niadra.com/v1/legal-holds \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"reason": "<string>",
"conversation_id": "<string>",
"handle": {
"value": "<string>",
"scope": "<string>"
},
"object": {
"id": "<string>",
"namespace": "<string>",
"type": "<string>"
}
}
'import requests
url = "https://{space}.{region}.api.niadra.com/v1/legal-holds"
payload = {
"reason": "<string>",
"conversation_id": "<string>",
"handle": {
"value": "<string>",
"scope": "<string>"
},
"object": {
"id": "<string>",
"namespace": "<string>",
"type": "<string>"
}
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
reason: '<string>',
conversation_id: '<string>',
handle: {value: '<string>', scope: '<string>'},
object: {id: '<string>', namespace: '<string>', type: '<string>'}
})
};
fetch('https://{space}.{region}.api.niadra.com/v1/legal-holds', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created_at": "2023-11-07T05:31:56Z",
"hold_id": "<string>",
"scope": "handle",
"status": "active",
"released_at": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"status": 123,
"title": "<string>",
"detail": "<string>",
"request_id": "<string>",
"type": "about:blank"
}Sinais e restrições
Criar uma retenção legal
Mantém os dados de um handle, de um objeto ou de uma conversa fora do expurgo até a liberação. Funcionalidade legal_holds.
POST
/
v1
/
legal-holds
Criar uma retenção legal
Autorizações
sourceKeypersonToken
nia_sk_...
Cabeçalhos
Obrigatório. Guardado por 24 horas com o hash do corpo: a mesma chave com o mesmo corpo devolve a primeira resposta, e a mesma chave com outro corpo devolve 409 conflict.
Required string length:
1 - 256Corpo
application/json
Exatamente um de handle, object ou conversation_id: o que fica fora do expurgo enquanto a retenção está ativa.
Required string length:
1 - 500Required string length:
1 - 512Um identificador de um sujeito num canal ou sistema: um telefone, um e-mail, um id do CRM.
Show child attributes
Show child attributes
Um objeto de negócio num sistema de registro.
Show child attributes
Show child attributes

